Package org.bukkit.block.data.type

# Interface Repeater

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Powerable`

public interface Repeater extends Directional, Powerable
'delay' is the propagation delay of a repeater, i.e. how many ticks before it will be activated from a current change and propagate it to the next block.
Delay may not be lower than `getMinimumDelay()` or higher than `getMaximumDelay()`.
'locked' denotes whether the repeater is in the locked state or not.
A locked repeater will not change its output until it is unlocked. In game, a locked repeater is created by having a constant current perpendicularly entering the block.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDelay()`
Gets the value of the 'delay' property.
`int`
`getMaximumDelay()`
Gets the maximum allowed value of the 'delay' property.
`int`
`getMinimumDelay()`
Gets the minimum allowed value of the 'delay' property.
`boolean`
`isLocked()`
Gets the value of the 'locked' property.
`void`
`setDelay(int delay)`
Sets the value of the 'delay' property.
`void`
`setLocked(boolean locked)`
Sets the value of the 'locked' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### getDelay

int getDelay()
Gets the value of the 'delay' property.

Returns:
  the 'delay' value

### setDelay

void setDelay(int delay)
Sets the value of the 'delay' property.

Parameters:
  `delay` - the new 'delay' value

### getMinimumDelay

int getMinimumDelay()
Gets the minimum allowed value of the 'delay' property.

Returns:
  the minimum 'delay' value

### getMaximumDelay

int getMaximumDelay()
Gets the maximum allowed value of the 'delay' property.

Returns:
  the maximum 'delay' value

### isLocked

boolean isLocked()
Gets the value of the 'locked' property.

Returns:
  the 'locked' value

### setLocked

void setLocked(boolean locked)
Sets the value of the 'locked' property.

Parameters:
  `locked` - the new 'locked' value